## 340f3b7e15d0cd91a747a11e9aa3d4474992a1e6

=== packaging/deb/Makefile ===
VERSION=1.1

# Directory names
DEB_BUILD_DIR=deb-build
PKG_NAME=erlang-sd-notify
DEB_SOURCE_DIR=$(PKG_NAME)-$(VERSION)

# 
PKG_DEST=$(TOPDIR)/$(DEB_BUILD_DIR)/$(DEB_SOURCE_DIR)

# Where to build the 'pristine' source files
TARBALL_DIR=$(TOPDIR)/$(DEB_BUILD_DIR)
SOURCE_TGZ=$(PKG_NAME)_$(VERSION).orig.tar.gz

# Place to install the compiled files to
TARGET_DIR=$(TARGET_TOP)/usr/lib/erlang/lib/sd_notify-$(VERSION)

deb:
	rm -rf $(PKG_DEST)	
	mkdir -p $(PKG_DEST)
	tar -c -C $(TOPDIR) --exclude-from=$(TOPDIR)/.gitignore --exclude=.git  . | tar -x -C $(PKG_DEST)
	rm $(PKG_DEST)/Makefile
	tar -zcf $(TARBALL_DIR)/$(SOURCE_TGZ) -C $(TARBALL_DIR) $(DEB_SOURCE_DIR)
	tar -c debian | tar -x -C $(PKG_DEST)
	cp $(TOPDIR)/LICENSE $(PKG_DEST)/debian/copyright
	sed -i 's/%VERSION%/$(VERSION)/g' $(PKG_DEST)/debian/$(PKG_NAME).dirs
	cd $(PKG_DEST) && debuild -d -us -uc

deb-install:
	pwd
	install -o root -g root -t $(TARGET_DIR)/ebin ../../ebin/*.app
	install -o root -g root -t $(TARGET_DIR)/ebin ../../ebin/*.beam

=== packaging/deb/debian/changelog ===
erlang-sd-notify (1.1-1) UNRELEASED; urgency=medium

  * Build for Erlang 23 

 -- Gabriele Santomaggio <g.santomaggio@gmail.com>  Wen, 8 Jul 2020 11:54:18 +0000

=== packaging/deb/debian/control ===
Source: erlang-sd-notify
Maintainer: <g.santomaggio@gmail.com>
Section: misc
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9),
  erlang-dev (>=17.3-dfsg-4),
  rebar3,

Package: erlang-sd-notify
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  erlang-base (>=17.3) | erlang-base-hipe (>=17.3)
Description: Systemd notification support for Erlang.

=== packaging/deb/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	make -C packaging/deb TARGET_TOP=$(PWD)/debian/erlang-sd-notify deb-install
